<template>
  <flex-layout>
    <div class="clash-station">
      <el-table
        stripe
        size="mini"
        header-row-class-name="header-primary"
        height="100%"
        :data="data">
        <el-table-column
          v-for="header in headers"
          :key="header.prop"
          :prop="header.prop"
          :label="header.label"
          :min-width="header.minWidth"
          align="center"
          :resizable="false"></el-table-column>
<!--        <el-table-column fixed="right" label="操作" :min-width="90" align="center">-->
<!--          <template>-->
<!--            <el-button type="primary" size="mini">操作</el-button>-->
<!--          </template>-->
<!--        </el-table-column>-->
      </el-table>
    </div>
  </flex-layout>
</template>

<script>
import FlexLayout from "@/components/FlexLayout";
export default {
  name: "clashStation",
  components: { FlexLayout },
  props: {
    data: {
      type: Array,
      default() {
        return []
      }
    }
  },
  data() {
    return {
      headers: [
        {
          prop: "stationName",
          label: "机房名称",
          minWidth: 360,
        },
        {
          prop: 'baojiGroupName',
          label: '所属班组',
          minWidth: 150
        },
      ],
    }
  },
  methods: {

  },
}
</script>

<style scoped>
.clash-station {
  width: 720px;
  height: 400px;
}
</style>
